package xyz.zhouxy.plusone.sms;

import org.springframework.boot.autoconfigure.condition.ConditionalOnClass;
import org.springframework.boot.context.properties.EnableConfigurationProperties;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;

/**
 * SMS 相关配置
 *
 * @author <a href="https://gitee.com/zhouxy108">ZhouXY</a>
 */
@Configuration
@EnableConfigurationProperties(SmsProperties.class)
@ConditionalOnClass(SmsService.class)
public class PlusoneSmsAutoConfiguration {

    @Bean
    SmsService smsService(SmsProperties smsProperties) {
        return new TencentSmsServiceImpl(smsProperties);
    }
}
