package xyz.zhouxy.plusone;

import java.io.File;
import java.io.FileNotFoundException;
import java.io.IOException;

import javax.annotation.Resource;

import org.junit.jupiter.api.Test;
import org.springframework.boot.test.context.SpringBootTest;

import lombok.extern.slf4j.Slf4j;
import xyz.zhouxy.plusone.oss.FastDFSException;
import xyz.zhouxy.plusone.oss.FastDFSUtil;
import xyz.zhouxy.plusone.oss.FastDFSUtil.FastDFSFile;

@SpringBootTest(classes = PlusoneApplication.class)
@Slf4j
class FastDFSTests {

    @Resource
    FastDFSUtil fastDFSUtil;

    @Test
    void testOSS() throws FileNotFoundException, IOException, FastDFSException {
        String[] upload = fastDFSUtil.upload(FastDFSFile.of(new File("D:\\ZhouXY\\Desktop\\666.png")));
        log.info(String.join("/", upload));
    }
}
