package xyz.zhouxy.plusone.exception;

import xyz.zhouxy.plusone.commons.exception.BaseException;

/**
 * 业务异常
 *
 * @author <a href="https://gitee.com/zhouxy108">ZhouXY</a>
 */
public class BizException extends BaseException {
    @java.io.Serial
    private static final long serialVersionUID = -5524759033245815405L;

    public static final int DEFAULT_ERROR_CODE = 4000000;

    public BizException(int code, String msg) {
        super(code, msg);
    }

    public BizException(int code, Throwable cause) {
        super(code, cause);
    }

    public BizException(int code, String msg, Throwable cause) {
        super(code, msg, cause);
    }

    public BizException(String msg) {
        super(DEFAULT_ERROR_CODE, msg);
    }

    public BizException(Throwable cause) {
        super(DEFAULT_ERROR_CODE, cause);
    }

    public BizException(String msg, Throwable cause) {
        super(DEFAULT_ERROR_CODE, msg, cause);
    }
}
